Subject: bug#51654: 29.0.50; mule-cmds.el compiler warnings about emoji-*

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 07 Nov 2021 14:50:45 +0100

Eli Zaretskii <[email-masked]> writes:

>> Like I said, ldefs-boot.el hasn't been updated yet, so Emacs doesn't know
>> about these autoloads in a normal build.
>
> Doesn't the bootstrap rebuild loaddefs.el from scratch?

Unfortunately not -- I assumed that was by design?  (Since it's pretty
slow.)  If I remember correctly, it just copies over ldefs-boot.el to
loaddefs.el.  (But it's been a couple of months since I looked at this
last time, so I may be misremembering.)

But if we could fix that, then we'd avoid all these transient glitches,
so I'd be for it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no